Ant API: Class BuildException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class BuildException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.tools.ant.BuildException

public class BuildException
extends java.lang.RuntimeException

Signals an error condition during a build.

Author:
  James Duncan Davidson
See Also:
  Serialized Form

Constructor Summary
`BuildException()` Constructs a build exception with no descriptive information.
`BuildException(java.lang.Exception cause)` Constructs an exception with the given exception as a root cause.
`BuildException(java.lang.String msg)` Constructs an exception with the given descriptive message.
`BuildException(java.lang.String msg, java.lang.Exception cause)` Constructs an exception with the given message and exception as a root cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildException

    public BuildException()

  Constructs a build exception with no descriptive information.

### BuildException

    public BuildException(java.lang.String msg)

  Constructs an exception with the given descriptive message.
  Parameters:
    `msg` - Description of or information about the exception.

### BuildException

    public BuildException(java.lang.String msg,
                          java.lang.Exception cause)

  Constructs an exception with the given message and exception as a root cause.
  Parameters:
    `msg` - Description of or information about the exception.
    `cause` - Exception that might have cause this one.

### BuildException

    public BuildException(java.lang.Exception cause)

  Constructs an exception with the given exception as a root cause.
  Parameters:
    `cause` - Exception that might have caused this one.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.